package cofh.thermal.expansion.init;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.core.util.ProxyUtils;
import cofh.thermal.core.ThermalCore;
import cofh.thermal.expansion.inventory.container.dynamo.DynamoCompressionContainer;
import cofh.thermal.expansion.inventory.container.dynamo.DynamoDisenchantmentContainer;
import cofh.thermal.expansion.inventory.container.dynamo.DynamoGourmandContainer;
import cofh.thermal.expansion.inventory.container.dynamo.DynamoLapidaryContainer;
import cofh.thermal.expansion.inventory.container.dynamo.DynamoMagmaticContainer;
import cofh.thermal.expansion.inventory.container.dynamo.DynamoNumismaticContainer;
import cofh.thermal.expansion.inventory.container.dynamo.DynamoStirlingContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineBottlerContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineBrewerContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineCentrifugeContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineChillerContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineCrafterContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineCrucibleContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineCrystallizerContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineFurnaceContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineInsolatorContainer;
import cofh.thermal.expansion.inventory.container.machine.MachinePressContainer;
import cofh.thermal.expansion.inventory.container.machine.MachinePulverizerContainer;
import cofh.thermal.expansion.inventory.container.machine.MachinePyrolyzerContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineRefineryContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineSawmillContainer;
import cofh.thermal.expansion.inventory.container.machine.MachineSmelterContainer;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.MenuType;
import net.minecraftforge.common.extensions.IForgeMenuType;
import net.minecraftforge.registries.RegistryObject;

public class TExpContainers {
  public static void register() {}
  
  public static final RegistryObject<MenuType<MachineFurnaceContainer>> MACHINE_FURNACE_CONTAINER = ThermalCore.CONTAINERS.register("machine_furnace", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineSawmillContainer>> MACHINE_SAWMILL_CONTAINER = ThermalCore.CONTAINERS.register("machine_sawmill", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachinePulverizerContainer>> MACHINE_PULVERIZER_CONTAINER = ThermalCore.CONTAINERS.register("machine_pulverizer", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineSmelterContainer>> MACHINE_SMELTER_CONTAINER = ThermalCore.CONTAINERS.register("machine_smelter", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineInsolatorContainer>> MACHINE_INSOLATOR_CONTAINER = ThermalCore.CONTAINERS.register("machine_insolator", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineCentrifugeContainer>> MACHINE_CENTRIFUGE_CONTAINER = ThermalCore.CONTAINERS.register("machine_centrifuge", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachinePressContainer>> MACHINE_PRESS_CONTAINER = ThermalCore.CONTAINERS.register("machine_press", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineCrucibleContainer>> MACHINE_CRUCIBLE_CONTAINER = ThermalCore.CONTAINERS.register("machine_crucible", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineChillerContainer>> MACHINE_CHILLER_CONTAINER = ThermalCore.CONTAINERS.register("machine_chiller", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineRefineryContainer>> MACHINE_REFINERY_CONTAINER = ThermalCore.CONTAINERS.register("machine_refinery", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachinePyrolyzerContainer>> MACHINE_PYROLYZER_CONTAINER = ThermalCore.CONTAINERS.register("machine_pyrolyzer", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineBottlerContainer>> MACHINE_BOTTLER_CONTAINER = ThermalCore.CONTAINERS.register("machine_bottler", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineBrewerContainer>> MACHINE_BREWER_CONTAINER = ThermalCore.CONTAINERS.register("machine_brewer", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineCrystallizerContainer>> MACHINE_CRYSTALLIZER_CONTAINER = ThermalCore.CONTAINERS.register("machine_crystallizer", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<MachineCrafterContainer>> MACHINE_CRAFTER_CONTAINER = ThermalCore.CONTAINERS.register("machine_crafter", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<DynamoStirlingContainer>> DYNAMO_STIRLING_CONTAINER = ThermalCore.CONTAINERS.register("dynamo_stirling", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<DynamoCompressionContainer>> DYNAMO_COMPRESSION_CONTAINER = ThermalCore.CONTAINERS.register("dynamo_compression", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<DynamoMagmaticContainer>> DYNAMO_MAGMATIC_CONTAINER = ThermalCore.CONTAINERS.register("dynamo_magmatic", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<DynamoNumismaticContainer>> DYNAMO_NUMISMATIC_CONTAINER = ThermalCore.CONTAINERS.register("dynamo_numismatic", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<DynamoLapidaryContainer>> DYNAMO_LAPIDARY_CONTAINER = ThermalCore.CONTAINERS.register("dynamo_lapidary", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<DynamoDisenchantmentContainer>> DYNAMO_DISENCHANTMENT_CONTAINER = ThermalCore.CONTAINERS.register("dynamo_disenchantment", () -> IForgeMenuType.create(()));
  
  public static final RegistryObject<MenuType<DynamoGourmandContainer>> DYNAMO_GOURMAND_CONTAINER = ThermalCore.CONTAINERS.register("dynamo_gourmand", () -> IForgeMenuType.create(()));
}
